Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## escjava.translate
Class AuxInfo

    java.lang.Object
      escjava.translate.AuxInfo

public class AuxInfo
extends java.lang.Object

Field Summary
`private static AuxInfoLink` | `first`
`private static AuxInfoLink` | `last`
`private static int` | `n`
`private static int` | `usedInLast`

Constructor Summary
`AuxInfo()`

Method Summary
`static java.lang.Object` | `get(int id)` Returns the reference associated with `id`, as returned by `put` since the last call to `reset` It is assumed that `id` has indeed been returned by `put` since the last call to `reset`.
`static int` | `put(java.lang.Object o)` Creates and returns an ID for the reference `o`.
`static void` | `reset()` Initializes the data structures, clearing any previous information of which IDs have been used.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### first

    private static AuxInfoLink first

### last

    private static AuxInfoLink last

### n

    private static int n

### usedInLast

    private static int usedInLast

Constructor Detail

### AuxInfo

    public AuxInfo()

Method Detail

### reset

    public static void reset()

  Initializes the data structures, clearing any previous information of which IDs have been used. This method should be called before any other in this class. The method may also free and null out certain structures, aiming to help the garbage collector.

### put

    public static int put(java.lang.Object o)

  Creates and returns an ID for the reference `o`. The returned ID has not been returned since the last call to `reset`, even if this method has been called for the same `o` since then.

### get

    public static java.lang.Object get(int id)

  Returns the reference associated with `id`, as returned by `put` since the last call to `reset` It is assumed that `id` has indeed been returned by `put` since the last call to `reset`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage